Converts the queue to an array

- « Ds\Queue::push

- Ds\PriorityQueue »

- PHP Manual
- Ds\Queue
- Converts the queue to an array

# Ds\Queue::toArray

(PECL ds >= 1.0.0)

Ds\Queue::toArray — Converts the queue to an array

### Description

public Ds\Queue::toArray(): array

Converts the queue to an array.

> Note:

> Casting to an array is not supported yet.

> Note:

> This method is not destructive.

### Parameters

This function has no parameters.

### Return Values

An array containing all the values in the same order as the queue.

### Examples

Example #1 Ds\Queue::toArray() example

    <?php$queue = new \Ds\Queue([1, 2, 3]);var_dump($queue->toArray());?>

The above example will output something similar to:

    array(3) {
      [0]=>
      int(1)
      [1]=>
      int(2)
      [2]=>
      int(3)
    }